Summary:	Lightweight X11 desktop panel based on fbpanel
Name:	  	lxpanel
Version:	0.4.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Other
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz
Patch0:		lxpanel-0.3.999-customization.patch
# (blino) do not drop icon extension, this breaks ooo-writer3.0
# and XDG spec already forbids extension for non-absolute paths
Patch5:		lxpanel-0.3.8.1-iconext.patch
Patch6:		lxpanel-0.3.999-fix-str-fmt.patch
Patch10:	lxpanel-0.3.99-use-mandriva-xdg-menu-layout.patch
URL:		http://lxde.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel libalsa-devel intltool
BuildRequires:	menu-cache-devel >= 0.2.1
BuildRequires:	docbook-to-man
Requires:	desktop-common-data
Suggests:	pcmanfm

%description
LXPanel is a lightweight X11 desktop panel contains:
1. User-friendly application menu automatically generated from *.desktop
   files on the system.
2. Launcher bar (Small icons clicked to launch apps)
3. Task bar supporting urgency hint (Can flash when gaim gets new
   incoming messages)
4. Notification area (System tray)
5. Digital clock
6. Run dialog (A dialog let you type a command and run, can be called in
   external programs)
7. Net status icon plug-in
8. Volume control plug-in (optional, written by jserv)
9. lxpanelctl, an external controller let you control lxpanel in other
   programs.

%package devel
Summary: Development files for lxpanel
Group: Graphical desktop/Other

%description devel
This package contains development files needed for building lxde plugins.

%prep
%setup -q -n %name-%version
%patch0 -p1
#patch10 -p0
%patch6 -p0
#patch5 -p1 -b .iconext

%build
%configure2_5x \
  --with-plugins="volume volumealsa cpu deskno batt kbled xkb thermal"
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%{_bindir}/lxpanelctl
%dir %{_libdir}/%name
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/batt.so
%{_libdir}/%{name}/plugins/cpu.so
%{_libdir}/%{name}/plugins/deskno.so
%{_libdir}/%{name}/plugins/kbled.so
%{_libdir}/%{name}/plugins/volumealsa.so
%{_libdir}/%{name}/plugins/xkb.so
%{_libdir}/%{name}/plugins/thermal.so
%{_datadir}/%name
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/lxpanel
%{_libdir}/pkgconfig/lxpanel.pc



%changelog
* Tue Apr 21 2009 Funda Wang <fundawang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 368477
- New version 0.4.0

* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 0.3.999-2.1296.2mdv2009.1
+ Revision: 364427
- use lxterminal as its native terminal

* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 0.3.999-2.1296.1mdv2009.1
+ Revision: 364376
- use upstream svn snapshot to fix various small bugs

* Mon Jan 26 2009 Funda Wang <fundawang@mandriva.org> 0.3.999-1mdv2009.1
+ Revision: 333764
- New versino 0.3.999

* Thu Dec 11 2008 Funda Wang <fundawang@mandriva.org> 0.3.99-1mdv2009.1
+ Revision: 312649
- bump BR of menu-cache
- drop old patches
- rediff customization patch
- use mandirva main menu rather than lxde's own menu
- New version 0.3.99
- drop upstream patches

* Sun Nov 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.8.1-4mdv2009.1
+ Revision: 299288
- fix icon for Education section (using Gnome's applications-science icon)
- request 16x16 icons for menu (from upstream SVN)

* Thu Oct 16 2008 Olivier Blin <oblin@mandriva.com> 0.3.8.1-3mdv2009.1
+ Revision: 294178
- do not drop icon extension, this breaks ooo-writer3.0
  (and XDG spec already forbids extension for non-absolute paths)
- fix support of Logout command in config file
- fix memory corruption in menu parsing (patch likely from Ander)

* Sun Sep 28 2008 Funda Wang <fundawang@mandriva.org> 0.3.8.1-2mdv2009.0
+ Revision: 289022
- raise patch level

  + Olivier Blin <oblin@mandriva.com>
    - suggest pcmanfm, since it's used by default in the launchbar
    - use new path for firefox desktop file in launchbar

* Mon Jul 07 2008 Funda Wang <fundawang@mandriva.org> 0.3.8.1-1mdv2009.0
+ Revision: 232481
- update to new version 0.3.8.1

* Thu Jul 03 2008 Funda Wang <fundawang@mandriva.org> 0.3.8-1mdv2009.0
+ Revision: 230940
- BR intltool
- update to new version 0.3.8

* Mon Jun 09 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 217103
- There is no need disable ldflags
- drop patch3 , merged upstream
- New version 0.3.7

* Thu May 29 2008 Pascal Terjan <pterjan@mandriva.org> 0.3.6-3mdv2009.0
+ Revision: 213123
- Handle resolution changes

* Wed May 28 2008 Pascal Terjan <pterjan@mandriva.org> 0.3.6-2mdv2009.0
+ Revision: 212790
- Add a few categories for the menu

* Thu May 22 2008 Funda Wang <fundawang@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 209961
- Bring back _disable_ld_no_undefined
- disable netstatus plugin, prefer netstat, as the latter is
  lxde native plugin.
- New version 0.3.6
- drop ld paras, it is not needed any more

* Wed May 21 2008 Pascal Terjan <pterjan@mandriva.org> 0.3.5.4-5mdv2009.0
+ Revision: 209825
- Disable no-undefined, it breaks build of plugins
- Fix windows not getting focus when un-minimized

  + Funda Wang <fundawang@mandriva.org>
    - list individual files

* Mon May 05 2008 Funda Wang <fundawang@mandriva.org> 0.3.5.4-4mdv2009.0
+ Revision: 201266
- enable all plugins

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 0.3.5.4-3mdv2009.0
+ Revision: 201128
- use customization too

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 0.3.5.4-2mdv2009.0
+ Revision: 200886
- BR iw-devel
- BR xpm
- add source and spec
- Created package structure for lxpanel.

